import { otherHttp } from '/@/utils/http/axios'

enum Api {
    getUserInfo = '/sys/user/login/setting/getUserData', // 查询登录用户信息
    logout = '/sys/logout', // 登出
    sysLogin = '/sys/mLogin', // 登陆
}
/**
 * @param params 请求参数
 * @description: 查询登录用户信息
 */
export function getUserInfo(params = {}) {
    return otherHttp.get({
        url: Api.getUserInfo,
        data: params,
    })
}

/**
 * @param params 请求参数
 * @description: 登录
 */
export function sysLogin(params = {}) {
    return otherHttp.post({
        url: Api.sysLogin,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 退出登录
 */
export function logout(params = {}) {
    return otherHttp.get({
        url: Api.logout,
        params,
    })
}
